> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twexapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Tweet Thread

> Create a tweet thread from an ordered list of texts, $0.0025 per call.



## OpenAPI

````yaml /api-reference/openapi.json post /v3/twitter/tweets/create-thread
openapi: 3.1.0
info:
  title: Twitter API Service
  description: |2-

            A comprehensive Twitter API service that provides various Twitter operations including:
            
            * **Search Operations**: Advanced search, hashtags, cashtags
            * **Tweet Operations**: Post, like, retweet, quote, bookmark, delete
            * **User Operations**: Batch user information retrieval
            * **Influencer Operations**: Get tweets from top influencers
            
            All endpoints return standardized responses in the format:
            ```json
            {
                "code": 200,
                "msg": "success", 
                "data": {...}
            }
            ```
            
            ## Authentication
            
            This API uses Bearer token authentication. Include your token in the Authorization header:
            ```
            Authorization: Bearer your_token_here
            ```
            
  contact:
    name: API Support
    email: support@twitterxapi.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twexapi.io
    description: Development server
security: []
paths:
  /v3/twitter/tweets/create-thread:
    post:
      tags:
        - Tweet Actions Endpoints
      summary: Create a Tweet Thread
      description: Create a tweet thread from an ordered list of texts, $0.0025 per call.
      operationId: create_tweet_thread_api_v3_twitter_tweets_create_thread_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateThreadQuery'
        required: true
      responses:
        '200':
          description: Created tweet ids in thread order.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateThreadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateThreadQuery:
      properties:
        items:
          items:
            type: string
          type: array
          minItems: 1
          title: Items
          description: JSON array of tweet texts, e.g. ["1/ hello","2/ world"].
          example:
            - 1/ hello
            - 2/ world
        cookie:
          type: string
          title: Cookie
          description: >-
            Twitter authentication cookie or Twitter auth_token,
            [how-to-get-twitter-cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie)
          example: ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7
        proxy:
          anyOf:
            - type: string
            - type: 'null'
          title: Proxy
          description: 'Proxy ref for session. Example: http://username:password@ip:port'
          example: http://username:password@ip:port
      type: object
      required:
        - items
        - cookie
      title: CreateThreadQuery
      description: Parameters for creating a tweet thread
    CreateThreadResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response code
          example: 200
        msg:
          type: string
          title: Msg
          description: Response message
          example: success
        data:
          anyOf:
            - $ref: '#/components/schemas/CreateThreadData'
            - type: 'null'
          description: Created thread tweets
      type: object
      required:
        - code
        - msg
      title: CreateThreadResponse
      description: Response for creating a tweet thread
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreateThreadData:
      properties:
        tweets:
          items:
            $ref: '#/components/schemas/CreateThreadTweetItem'
          type: array
          title: Tweets
          description: Created tweets in thread order
          example:
            - id: '1234567890123456789'
      type: object
      required:
        - tweets
      title: CreateThreadData
      description: Create thread response data
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CreateThreadTweetItem:
      properties:
        id:
          type: string
          title: Id
          description: Created tweet ID
          example: '1234567890123456789'
      type: object
      required:
        - id
      title: CreateThreadTweetItem
      description: Created tweet id in a thread
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````